[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.MouseButtonAllowed

Indicates if the specified mouse button is a mouse down event used in the control.

## Declaration

Source position: grids.pas line 1151

`protected function TCustomGrid.MouseButtonAllowed(`
`Button: TMouseButton`
`):Boolean; virtual;`

## Arguments

`Button` |  | TMouseButton value examined in the method.

## Function result

True if the specified mouse button is valid for the grid control.

## Description

Called from the MouseDown method to ignore Right mouse clicks in the grid control at design-time. This allows the mouse event to be handled as a context menu on the form design surface.